Bug 2032683 - singularity-3.8.5 needs to be rebuilt with golang-1.16.12
Summary: singularity-3.8.5 needs to be rebuilt with golang-1.16.12
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: singularity
Version: 35
Hardware: Unspecified
OS: Unspecified
urgent
medium
Target Milestone: ---
Assignee: Dave Dykstra
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-12-15 01:11 UTC by Dave Dykstra
Modified: 2021-12-28 21:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-12-28 21:13:59 UTC
Type: Bug


Attachments (Terms of Use)

Description Dave Dykstra 2021-12-15 01:11:08 UTC
golang-1.16.12 announced a vulnerability in older golang versions that might affect singularity.  Referenced in bug #2013628.  Rebuild with golang-1.16.12 by compiling it from source using the available system or EPEL golang.

Comment 1 Fedora Update System 2021-12-15 01:16:20 UTC
FEDORA-2021-7333cffa91 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-7333cffa91

Comment 2 Fedora Update System 2021-12-15 01:17:05 UTC
FEDORA-EPEL-2021-79302e6110 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-79302e6110

Comment 3 Fedora Update System 2021-12-15 01:17:24 UTC
FEDORA-EPEL-2021-1526755a59 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-1526755a59

Comment 4 Fedora Update System 2021-12-15 01:37:07 UTC
FEDORA-EPEL-2021-d4f887ed69 has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-d4f887ed69

Comment 5 Fedora Update System 2021-12-15 01:37:36 UTC
FEDORA-2021-f6e491390b has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-f6e491390b

Comment 6 Fedora Update System 2021-12-16 01:24:38 UTC
FEDORA-EPEL-2021-1526755a59 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-1526755a59

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-12-16 01:31:59 UTC
FEDORA-EPEL-2021-79302e6110 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-79302e6110

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-12-16 01:38:52 UTC
FEDORA-EPEL-2021-d4f887ed69 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-d4f887ed69

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-12-16 02:08:03 UTC
FEDORA-2021-7333cffa91 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-7333cffa91`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-7333cffa91

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-12-16 02:10:10 UTC
FEDORA-2021-f6e491390b has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-f6e491390b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-f6e491390b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-12-24 00:36:47 UTC
FEDORA-EPEL-2021-1526755a59 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2021-12-24 00:58:29 UTC
FEDORA-EPEL-2021-79302e6110 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2021-12-24 01:06:44 UTC
FEDORA-EPEL-2021-d4f887ed69 has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2021-12-24 01:07:21 UTC
FEDORA-2021-f6e491390b has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2021-12-24 01:23:39 UTC
FEDORA-2021-7333cffa91 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.